Delete Campaign Template
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/templates/campaigns/{campaignTemplateId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find campaign_template with id camp_tpl_zLtn2H9fgcG3NwO7t4PAfHc",
"request_id": "v-0f6d3efe61099b2824",
"resource_id": "camp_tpl_zLtn2H9fgcG3NwO7t4PAfHc",
"resource_type": "campaign_template"
}Deletes the campaign template permanently.
๐ Campaign Templates โ Documentation
Read the Campaign Templates documentation to learn more about this feature.
DELETE
/
v1
/
templates
/
campaigns
/
{campaignTemplateId}
Delete Campaign Template
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/templates/campaigns/{campaignTemplateId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find campaign_template with id camp_tpl_zLtn2H9fgcG3NwO7t4PAfHc",
"request_id": "v-0f6d3efe61099b2824",
"resource_id": "camp_tpl_zLtn2H9fgcG3NwO7t4PAfHc",
"resource_type": "campaign_template"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Path Parameters
Pass the campaign template ID that was assigned by Voucherify.
Example:
"camp_tpl_zLtn2H9fgcG3NwO7t4PAfHcq"
Response
Returns no content if deletion is successful.
Last modified on May 28, 2026
Was this page helpful?
โI

